<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Tool extends Admin_Controller {

    public function __construct()
    {
        parent::__construct();

		$this->load->model('herramientas/tool/tool_model');
        $this->lang->load('herramientas/tool/tool_lang');

        /* Title Page :: Common */
		$this->page_title->push(lang('menu_tool'));
		$this->data['pagetitle'] = $this->page_title->show();

		$this->data['pagetitle'] = $this->page_title->show();
        if ($_SESSION['id_modulo'] != 'HERRAMIENTAS') {
            $_SESSION['id_modulo'] = 'HERRAMIENTAS';
        }

        /* Breadcrumbs :: Common */
        $this->breadcrumbs->unshift(1, lang('menu_tool'), 'admin/tool');
        
        //$ubicacion = "G:/herramientas_intranet/lectura/"; 
		//$directorio = opendir ($ubicacion); //ruta actual
		//$i=0;

    }
    
    /*
	public function index()
	{
        if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
        {
            redirect('auth/login', 'refresh');
        }
        else
        {
            // Breadcrumbs
            $this->data['breadcrumb'] = $this->breadcrumbs->show();

          
            // Load Template
            $this->template->admin_render('herramientas/tool/index', $this->data);
        }

		
		//$accion = $_POST["accion"]; 
		//$tipo 	= $_POST["tipo"]; 
		//$valor 	= $_POST["valor"]; 
		

		// Llama la variable a usar, envia por post

		$accion  = $this->input->post('accion');
		$tipo    = $this->input->post('tipo');
		$valor   = $this->input->post('valor');

		
		//if($_SESSION['ban']>0 )
		$ban=0;

		if($ban > 0 )
		{
		?> 
		<script>
			//Función deshabilitar los botones, en caso de que se detecta error
			function deshabilitar(id) {
				document.getElementById('#btn'+tipo).disabled=false;
				document.getElementById(id).disabled=true;
			}  
		</script>
		<style>   
			table {table-layout: fixed; }
			th{ white-space: nowrap;   overflow: hidden; text-overflow: ellipsis;}
			td {   overflow: hidden; text-overflow: ellipsis; word-wrap:break-word; font-size: 16px;}  
		</style>
		
		<div class="table-responsive">
			<table id="example1" class="table table-hover table-striped table-bordered h6">
				<thead>
					<tr>
						<!--<th>Responsable de archivo</th>-->
						<th>Fotos</th>
						
					</tr>
				</thead>
				
				<tbody> 
				<!-- Muestra campos en la tabla listado -->
				<?php
					foreach ($result as $registro01):
				?>
					<tr 	
					class		="resaltador"  
					style		="cursor:pointer" 
					>
						<td><?php echo $registro01;?>						
						</tr>
						<?php 
							endforeach;
						?>
				</tbody>
			</table>
		</div>
			<script type="text/javascript">
				$(document).ready(function(){
					$("tr.resaltador").hover(
					function () {
						$(this).addClass(' alert-info');
					}, 
					function () {
						$(this).removeClass(' alert-info');
					}
					);
					$(function () {
						//$("[data-mask]").inputmask();
						$("#example1").dataTable();
						$('#example2').dataTable({
							responsive: true,
							"bPaginate": true,
							"bLengthChange": false,
							"bFilter": false,
							"bSort": true,
							"bInfo": true,
							"bAutoWidth": false
						});
					});
				});	
			</script>
			<?php
		}else
			{
				//Llama a la acción Procesar para lo que se desea hacer (obtener_accion o modificar_campo)
				if ($accion!='procesar')
				{
					if(empty($tipo) & $tipo!='')
					{
						$result = obtener_accion($accion);			
						
						foreach ($result as $linea){
						$array_listado= $array_listado.''."<tr><th>".$linea." </th></tr>";
						}
					
						print_r($array_listado);	
					}else
					{
						//Acción modificar_campo, para cada botón
						//$this->tool_model->modificar_campo($data);
						$result = $this->tool_model->modificar_campo($tipo,$valor);
						if($result!="ERROR")
						{			
						?> 
							<style>   
								table {table-layout: fixed; }
								th{ white-space: nowrap;   overflow: hidden; text-overflow: ellipsis;}
								td {   overflow: hidden; text-overflow: ellipsis; word-wrap:break-word; font-size: 16px;}  
							</style>
							<div class="table-responsive">
								<table id="example1" class="table table-hover table-striped table-bordered h6">
									<thead>
										<tr>
											<!--<th>Responsable de archivo</th>-->
											<th>Fotos</th>
										</tr>
									</thead>
									<tbody> 
										<?php
											//foreach ($result as $registro01):
										while ($result){$registro01 = $result;}
										?>
										<tr 	
										class		="resaltador"  
										style		="cursor:pointer" 
										>
											<td><?php //echo $registro01; ?>						
											</tr>
											<?php 
											//	endforeach;
											?>
										</tbody>
									</table>
								</div>
								<script type="text/javascript">
									$(document).ready(function() {
										$("tr.resaltador").hover(
										function () {
											$(this).addClass(' alert-info');
										}, 
										function () {
											$(this).removeClass(' alert-info');
										}
										);
										$(function () {
											//$("[data-mask]").inputmask();
											$("#example1").dataTable();
											$('#example2').dataTable({
												responsive: true,
												"bPaginate": true,
												"bLengthChange": false,
												"bFilter": false,
												"bSort": true,
												"bInfo": true,
												"bAutoWidth": false
											});
										});
										
									});	
								</script> 
								<?php
						}else{
								echo("ERROR");
						}
					}
				}else
				{
					//Resalta la línea de la tabla listado
					$result = obtener_accion($accion);
					foreach ($result as $linea){
						$array_listado= $array_listado.''."<tr><th>".$linea." </th></tr>";
					}
					print_r($array_listado);	
				}
			}	
	    }
	*/

	public function carga_masiv_fotos()
    {
        $_SESSION['errores_cuestionario'] = NULL;

        if ( ! $this->ion_auth->logged_in() OR ! $this->ion_auth->is_admin())
        {
            redirect('auth', 'refresh');
        }
        
        $this->breadcrumbs->unshift(2, 'Carga masiva de fotos', 'admin/tool');
        $this->data['breadcrumb'] = $this->breadcrumbs->show();

        /* Data */
        //asigna a una variable de sesión el id único del registro seleccionado
        //$_SESSION['identificador'] = $id_registro_lote;

        //$this->data['reg01_info'] = $this->reg01_model->view('reg01', array('id_registro_lote' => $_SESSION['identificador']))->row();

        $this->session->set_flashdata('message','');

        if (!empty($_FILES)) {
            /*echo '<pre>';
            print_r($_FILES['fotos_cuest']);
            echo '</pre>';*/
            //show_error(1);

            $i = 0;
            while (isset($_FILES['fotos_cuest']['name'][$i])) {

                switch ($_FILES['fotos_cuest']['error'][$i]) {
                    case '0':
                        //$name             = trim($_POST['name_file']);
                        $ruta             = "fotos_cuest_prb";
    
                        $archivo_temporal = $_FILES['fotos_cuest']['tmp_name'][$i];
                        $nombre_archivo   = $_FILES['fotos_cuest']['name'][$i];
                        $ruta             = $ruta."/".$nombre_archivo;
    
                        move_uploaded_file($archivo_temporal,$ruta);
    
                        $ruta             = 'C:/xampp/htdocs/intranet2/fotos_cuest_prb/'.$nombre_archivo;
    
                        $arraycampos = array('id_registro_lote' => '$_SESSION[identificador]',
                           'dpto'             => 0,
                           'distrito'         => 0,
                           'barrio'           => 0,
                           'colonia'          => 0,
                           'area'             => 0,
                           'ae'               => 0,
                           'manzana'          => ' ',
                           'lote_a'           => ' ',
                           'lote_b'           => ' ',
                           'finca'            => ' ',
                           'padron'           => ' ',
                           'cuest'            => 0,
                           'c_tipo_objeto'    => '2',
                           'descrip_objeto'   => ' ',
                           'codigo_objeto'    => "'".$nombre_archivo."'",
                           'image'            => $ruta);
    
                        //if (strlen($name) > 0) {
                        //    $arraycampos['codigo_objeto'] = "'".$name."'";
                        //}else{
                            $arraycampos['codigo_objeto'] = "'".$nombre_archivo."'";
                        //}
    
                        $importar = $this->reg01_model->importar_foto($arraycampos);
    
                        unlink($ruta);
    
                        $this->session->set_flashdata('message', '¡Fichero subido con éxito!');

                    break;

                    case '1':
                        $this->session->set_flashdata('message', 'El fichero subido excede la directiva upload_max_filesize de php.ini.');
                    break;

                    case '2':
                        $this->session->set_flashdata('message', 'El fichero subido excede la directiva MAX_FILE_SIZE especificada en el formulario HTML.');
                    break;

                    case '3':
                        $this->session->set_flashdata('message', 'El fichero fue sólo parcialmente subido.');
                    break;

                    case '4':
                        $this->session->set_flashdata('message', 'No se subió ningún fichero.');
                    break;

                    case '6':
                        $this->session->set_flashdata('message', 'Falta la carpeta temporal. Introducido en PHP 5.0.3.');
                    break;

                    case '7':
                        $this->session->set_flashdata('message', 'No se pudo escribir el fichero en el disco. Introducido en PHP 5.1.0.');
                    break;

                    case '8':
                        $this->session->set_flashdata('message', 'Una extensión de PHP detuvo la subida de ficheros. PHP no proporciona una forma de determinar la extensión que causó la parada de la subida   de ficheros; el examen de la lista de extensiones cargadas con phpinfo() puede ayudar. Introducido en PHP 5.2.0.');
                    break;
                }

                $i = $i + 1;
            }
        }

        $this->data['message'] = (validation_errors() ? validation_errors() : ($this->ion_auth->errors() ? $this->ion_auth->errors() : $this->session->flashdata('message')));

        $this->template->admin_render('herramientas/carga_masiv_fotos', $this->data);
    }
}
